#!/bin/bash

set -eux

if [[ -z "$(ls -A /app/data)" ]]; then
    echo "=> Detected first run"
    cp /app/code/searx/settings.yml.orig /app/data/settings.yml
    sed -i "s/127.0.0.1/0.0.0.0/g" /app/data/settings.yml
fi

chown -R www-data.www-data /app/data

exec gosu www-data python /app/code/searx/webapp.py
